org.keycloak.protocol.oidc.grants.ciba.channel

## Class AuthenticationChannelRequest

- java.lang.Object
- - org.keycloak.protocol.oidc.grants.ciba.channel.AuthenticationChannelRequest

-     public class AuthenticationChannelRequest
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationChannelRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAcrValues()`
    `String` | `getBindingMessage()`
    `Boolean` | `getConsentRequired()`
    `String` | `getLoginHint()`
    `String` | `getScope()`
    `void` | `setAcrValues(String acrValues)`
    `void` | `setBindingMessage(String bindingMessage)`
    `void` | `setConsentRequired(Boolean consentRequired)`
    `void` | `setLoginHint(String loginHint)`
    `void` | `setScope(String scope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationChannelRequest

          public AuthenticationChannelRequest()

  - ### Method Detail

    - #### setBindingMessage

          public void setBindingMessage(String bindingMessage)

    - #### getBindingMessage

          public String getBindingMessage()

    - #### setLoginHint

          public void setLoginHint(String loginHint)

    - #### getLoginHint

          public String getLoginHint()

    - #### setConsentRequired

          public void setConsentRequired(Boolean consentRequired)

    - #### getConsentRequired

          public Boolean getConsentRequired()

    - #### getAcrValues

          public String getAcrValues()

    - #### setAcrValues

          public void setAcrValues(String acrValues)

    - #### setScope

          public void setScope(String scope)

    - #### getScope

          public String getScope()

Copyright © 2021 JBoss by Red Hat. All rights reserved.